import org.kwis.msp.lcdui.Jlet;					//Jlet을 상속받아서 작성하는 응용 프로그램
import org.kwis.msp.lcdui.Display;				//화면의 출력 관련 함수와 정보를 가지는 클래스 포함
import org.kwis.msp.lcdui.Card;					//화면에 출력될 수 있는 하나의 단위 클래스
import org.kwis.msp.lwc.ActionListener;			//액션이 발생할때 호출되는 인터페이스(버튼)
import org.kwis.msp.lwc.Component;
import org.kwis.msp.lwc.ListComponent;
import org.kwis.msp.lwc.ListItemComponent;
import org.kwis.msp.lwc.ShellComponent;

public class Tetris extends Jlet implements ActionListener {
    private Display display;
    private TetrisCard tcard;
	private Card menucard;
    
	public void action(Component cmp, Object o) {
		ListComponent list = (ListComponent)cmp;

		int i = list.getSelectedIndex();
		if (i == 0) {
			menucard = display.popCard();
			display.pushCard(tcard);

		} else if (i == 1) {
			notifyDestroyed();
		}
	}

    public Tetris() {
        tcard = new TetrisCard();
    }

	protected void startApp(String[] arg0) {
		display = Display.getDefaultDisplay();
		ShellComponent shell = new ShellComponent();
		ListComponent list = new ListComponent(ListComponent.SELECT_IMPLICIT);
		ListItemComponent itemStart = new ListItemComponent("시작");
		ListItemComponent itemExit = new ListItemComponent("종료");
		ListItemComponent itemScore = new ListItemComponent("내점수보기");
		ListItemComponent itemSound = new ListItemComponent("효과음 선택");

		// 리스트에 아이템을 추가한다.
		list.addComponent( itemStart );
		list.addComponent( itemExit );
		list.addComponent( itemScore);
		list.addComponent( itemSound);
		list.setActionListener(this, null);
		shell.setTitle("Tetris");
		shell.setWorkComponent(list);
		menucard = shell.getCard();
		display.pushCard(menucard);
    }

	protected void destroyApp(boolean arg0) {
	}


}
